枭毅API枭毅API
API ReferenceAI Applications
AI Model APIVideosHappyHorse Video API

Call HappyHorse Through Generic Video API

Submit HappyHorse video tasks through /v1/video/generations.

POST /v1/video/generations is the New API generic video task endpoint. When the request model is a HappyHorse model, New API converts the request to the HappyHorse upstream format.

POST
/v1/video/generations

Authorization

BearerAuth
AuthorizationBearer <token>

使用 Bearer Token 认证。 格式: Authorization: Bearer sk-xxxxxx

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/video/generations" \  -H "Content-Type: application/json" \  -d '{    "model": "happyhorse-1.0-t2v",    "prompt": "string"  }'
{
  "id": "task_xxx",
  "task_id": "task_xxx",
  "object": "video",
  "model": "happyhorse-1.0-t2v",
  "status": "queued",
  "progress": 0
}

How is this guide?